org.apache.cassandra.db.compaction

## Class SSTableSplitter.SplittingCompactionTask

- java.lang.Object
- - org.apache.cassandra.utils.WrappedRunnable
  - - org.apache.cassandra.io.util.DiskAwareRunnable
    - - org.apache.cassandra.db.compaction.AbstractCompactionTask
      - - org.apache.cassandra.db.compaction.CompactionTask
        - - org.apache.cassandra.db.compaction.SSTableSplitter.SplittingCompactionTask

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  SSTableSplitter

    public static class SSTableSplitter.SplittingCompactionTask
    extends CompactionTask

### Field Summary

### Fields inherited from class org.apache.cassandra.db.compaction.CompactionTask

`gcBefore, logger, totalBytesCompacted`

### Fields inherited from class org.apache.cassandra.db.compaction.AbstractCompactionTask

`cfs, compactionType, isUserDefined, sstables`

### Constructor Summary

Constructors
Constructor and Description
`SSTableSplitter.SplittingCompactionTask(ColumnFamilyStore cfs, SSTableReader sstable, int sstableSizeInMB)`

### Method Summary

Methods
`protected CompactionController` `getCompactionController(java.util.Set<SSTableReader> toCompact)`
`protected boolean` `newSSTableSegmentThresholdReached(SSTableWriter writer)`
`protected boolean` `partialCompactionsAcceptable()`

### Methods inherited from class org.apache.cassandra.db.compaction.CompactionTask

`addToTotalBytesCompacted, executeInternal, getExpectedWriteSize, getLevel, getMaxDataAge, reduceScopeForLimitedSpace, runWith`

### Methods inherited from class org.apache.cassandra.db.compaction.AbstractCompactionTask

`execute, getDirectories, setCompactionType, setUserDefined, toString`

### Methods inherited from class org.apache.cassandra.io.util.DiskAwareRunnable

`runMayThrow`

### Methods inherited from class org.apache.cassandra.utils.WrappedRunnable

`run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SSTableSplitter.SplittingCompactionTask

    public SSTableSplitter.SplittingCompactionTask(ColumnFamilyStore cfs,
                                           SSTableReader sstable,
                                           int sstableSizeInMB)

### Method Detail

#### getCompactionController

    protected CompactionController getCompactionController(java.util.Set<SSTableReader> toCompact)

Overrides:
  `getCompactionController` in class `CompactionTask`

#### newSSTableSegmentThresholdReached

    protected boolean newSSTableSegmentThresholdReached(SSTableWriter writer)

Overrides:
  `newSSTableSegmentThresholdReached` in class `CompactionTask`

#### partialCompactionsAcceptable

    protected boolean partialCompactionsAcceptable()

Overrides:
  `partialCompactionsAcceptable` in class `CompactionTask`